aboutsummaryrefslogtreecommitdiff
path: root/kiosk.sh
diff options
context:
space:
mode:
authorKablersalat <crt@adastra7.net>2025-02-24 13:07:27 +0100
committerKablersalat <crt@adastra7.net>2025-02-24 13:07:27 +0100
commit4bfa683907ef9f771a83f046e282b77456d092b5 (patch)
tree09aa1d2c3af0dd04f912efec10ebcfd56457d0e0 /kiosk.sh
parent40a053004480b0354e239849d6af879b8256b275 (diff)
implemented menu forwarding and made a readme
Diffstat (limited to 'kiosk.sh')
-rw-r--r--kiosk.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/kiosk.sh b/kiosk.sh
index 0073fe5..346dc06 100644
--- a/kiosk.sh
+++ b/kiosk.sh
@@ -210,7 +210,26 @@ dialog --title "WARNING !!!" --msgbox "Do not run this script under any user oth
6) break ;;
*) echo "Invalid option. Try another one." >&2
esac
+
+ # Automatically proceed because end users dont understand otherwise
+ if [ $? -eq 0 ]; then
+ case $CHOICE in
+ 1) CHOICE=2 ;;
+ 2) CHOICE=3 ;;
+ 3) CHICE=4 ;;
+ 4) CHOICE=5 ;;
+ 5) CHOICE=6 ;;
+ esac
+ else
+ dialog --title "Error" --msgbox "An error occurred. Please check the output and try again." 10 50
+ fi
+
+ # safety ooooooo
+ if [ $CHOICE -eq 6 ]; then
+ break
+ fi
done
+
dialog --title "Exit" --msgbox "If you completed all steps and no errors were shown to you, reboot now to test if the installation was successful." 10 50
fi